<?
session_start();

//RESTRICCIÓN DE ACCESO A TRABAJADOR (ACCESO INDIVIDUAL) 
if (isset($_SESSION['tipousuario']))
		{if ($_SESSION['tipousuario']=='1')
		header ('location:menu_personal.php');
		}

if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php');
include ("fphp.php");
$enlace=cargar_conexion();
$detalle=$_REQUEST["detalle"];
$pago=$_REQUEST["pago"];
	
/////////////////////////////////////////////// imprimir PAYROLL
$consulta=mysqli_query($enlace,"select * from empresa where id='".$_SESSION['id_validar']."' ");
if (mysqli_num_rows($consulta)!=0){
		$row=mysqli_fetch_array($consulta);
		$_POST['empresal']=$_SESSION['empresa_validar'];
		$_POST['pie']=$row['pie'];
		$_POST['derecho']=$row['derecho'];
		$_POST['encabeza']=$row['encabeza'];
		$_POST['gerencia']=$row['gerencia'];
}   

$query = "select * from utilidades where detalle='".$detalle."' and id='".$_SESSION['id_validar']."' ";
$consulta = mysqli_query($enlace,$query) or die ("no se pudo realizar la consulta...");	
$row=mysqli_fetch_array($consulta);
$_POST['subtitulo']=$row['detalle'];	

require('fpdf.php');
include "numtolet.php";	
class PDF extends FPDF {
			function Header(){}
			function Footer(){} 
}
$pdf=new PDF($orientacion='P',$unit='mm',$format='letter');
$_POST['usuario']=$_SESSION['nombre_validar'];
$m=date ("n");

//=================================== ciclo
//=================================== ciclo
//=================================== ciclo		
$linea=0; $tasig=0;$tdedu=0;		
$query = "select * from utilidades where detalle='".$detalle."' and id='".$_SESSION['id_validar']."' and fecha='".$pago."' order by cedula, tipo desc, concepto";
$consulta = mysqli_query($enlace,$query) or die ("no se pudo realizar la consulta...");	
while ($row=mysqli_fetch_array($consulta)) {
		$dgerencia=$row['gerencia'];
		$dfecha=$row['fecha'];
		if ($tced!=$row['cedula']) { 
			if ($linea>0) {
				//============================================================================ imprimir parte final de utilidades
				$pdf->SetFont('Arial','',8);
				$pdf->cell(140,5,'Sub-Totales Bs.',0,0,'R',0);
				$pdf->SetFont('Arial','B',10);
				$pdf->cell(30,5,number_format($tasig,2),1,0,'R',0);
				$pdf->cell(30,5,number_format($tdedu,2),1,1,'R',0);
				$pdf->SetFont('Arial','',8);
				$pdf->cell(140,5,'A Cobrar Bs. ',0,0,'R',0);
				$pdf->SetFont('Arial','B',10);
				$pdf->cell(30,5,'',1,0,'R',0);
				$pdf->cell(30,5,number_format($tasig-$tdedu,2),1,1,'R',0);
				$neto = $tasig-$tdedu;				
				$len=strlen(number_format($neto,2));
				$dec=substr(number_format($neto,2),$len-2,2);
				$letra=num2letras($neto,0)." bolivares con ".$dec."/100 centimos";	

				$pdf->ln(5);

				$pdf->SetFont('Arial','B',12);
				$pdf->cell(0,5,'NETO A COBRAR:',0,1,'C');
				//$pdf->ln(1);
				$pdf->SetFont('Arial','B',20);
				$pdf->cell(0,6,'Bs. '.number_format($neto,2),0,1,'C',0);
				$pdf->ln(1);
				$pdf->SetFont('Arial','',8);
				$pdf->cell(0,5,'Son: '.$letra,0,1,'C',0);
				
				$pdf->SetFont('Arial','',8);
				$pdf->ln(5);
				$pdf->cell(0,5,'Yo, '.trim($rowx['nombres']).' '.$rowx['nombres1'].", ".trim($rowx['apellidos'])." ".$rowx['apellidos1'].', cédula de identidad No. '.$rowx['codigo'].', ',0,1,'C',0);
				$pdf->cell(0,5,'declaro haber recibido la cantidad arriba señalada a mi entera satisfacción en moneda efectiva y de curso legal, ',0,1,'C',0);
				$pdf->cell(0,5,'por el concepto de Utilidades según se describe y de acuerdo a lo establecido en la Ley Organica del Trabajo,',0,1,'C',0);
				$pdf->cell(0,5,'los Trabajadores y Trabajadoras (LOTTT), en sus articulos 132.',0,1,'C',0);
				$pdf->ln(1);
				$pdf->cell(0,5,'En '.$_POST['ciudad'].' fecha: '.mostrar_fecha($dfecha),0,1,'C',0);
				
				$pdf->ln(8);
				$pdf->cell(0,5,'_______________________________________',0,1,'C',0);
				$pdf->cell(0,5,trim($rowx['nombres']).' '.$rowx['nombres1'].", ".trim($rowx['apellidos'])." ".$rowx['apellidos1'],0,1,'C',0);
				$pdf->cell(0,5,'Firma/cédula de Recibido: ',0,1,'C',0);
				//$pdf->ln(2);
				//$pdf->SetFont('Arial','',8);
				//$pdf->cell(0,5,'RRHH/ficha personal',0,1,'L',0);
				$tasig=0; $tdedu=0;
				//============================================================================ imprimir pate final de utilidades
			}	
			$tced=$row['cedula'];
			$consulx=mysqli_query($enlace,"select personal.codigo,personal.nombres,personal.nombres1,personal.apellidos,personal.apellidos1,personal.fechai,personal.smes, personal.cargo from personal where id='".$_SESSION['id_validar']."' and codigo='".$tced."'" )  or die(mysqli_error($enlace));
			if (mysqli_num_rows($consulx)<>0) {
				$rowx=mysqli_fetch_array($consulx);
				$cedula = $rowx['codigo'];
				$sueldo = $rowx['smes'];
				$cargo = $rowx['cargo'];
				$monto = $rowx['monto'];
				$cantidad = $rowx['cantidad'];
				$detalle = $rowx['desconcepto'];
				$ano1=date ("Y");
				$ano2=$ano1-1;
				$ano3=substr($rowx['fechai'],0,4);
				$antiguedad = $ano1-$ano3;

				/// calcular meses de antiguedad
				$afn=substr($rowx['fechai'],0,4);	
				$mfn=substr($rowx['fechai'],5,2);	
				$a=date ("Y");
				$m='12';
				if ($m-$mfn<0) $meses = ($a-$afn-1)*12 + ($m-$mfn+12);
				else $meses = ($a-$afn)*12 + ($m-$mfn);
				if ($meses >12) $meses=12;
				/// calcular meses de antiguedad
				
				$cargo='';				
				$concar=mysqli_query($enlace,"select * from tablas where tabla='CARGO' and codigo='".$cargo."'"  );
				while($row1=mysqli_fetch_array($concar)) $cargo=$row1['detalle'];
			}

			//============================================================================ imprimir trabajador
			$pdf->AddPage();
			$pdf->AliasNbPages();
			$pdf->SetFillColor(224,235,255);
			$pdf->SetTextColor(0);

			if ($_POST['gerencia']==1) {
				$consulta2="Select detalle from tablas where tabla=ucase('GERENCIA') and id='".$_SESSION['id_validar']."' and codigo='".$dgerencia."' ";
				$consulta2 = mysqli_query($enlace,$consulta2) or die ("no se pudo realizar la consulta...".$consulta2.'='.mysqli_error($enlace));	
				$row2=mysqli_fetch_array($consulta2);
				
				$pdf->SetFont('arial','',12);
				$pdf->Ln(2);
				$pdf->Cell(0,5,$row2['detalle'],0,1,'L'); 			
			} else {
				$pdf->Image($_SESSION['logo_validar'],10,10,30,30);
				$pdf->SetFont('arial','B',12);
				$pdf->Ln(2);
				$pdf->Cell(0,5,$_SESSION['empresa_validar'],0,1,'R'); 
				$pdf->SetFont('arial','',7);
				$pdf->Cell(0,5,$_POST['encabeza'],0,1,'R');
			}	
			
			$pdf->SetFont('arial','',9);
			$pdf->Cell(0,5,'Fecha: '.mostrar_fecha($dfecha),0,1,'R'); 
			$pdf->SetFont('arial','B',16); 
			$pdf->Ln(10);
			$pdf->Cell(0,5,'BONIFICACION FIN DE AÑO',0,1,'C');
			$pdf->SetFont('arial','',11); 
			$pdf->Cell(0,8,utf8_decode($_POST['subtitulo']),0,1,'C');
			$pdf->SetFont('arial','',7);	
			//$pdf->ln(4);
			$pdf->Cell(0,5,'ARTICULO 132 LOTTT (UTILIDADES)',0,1,'C');
			$pdf->Ln(5);
			
			$pdf->SetFont('Arial','B',12);
			$pdf->cell(10,10,'INFORMACIÓN DEL EMPLEADO:',0,1,'');
			$pdf->SetFont('Arial','',8);
			$pdf->cell(10,5,'Cédula de Identidad: '.$rowx['codigo'],0,1,'',0);
			$pdf->cell(10,5,'Nombres y Apellidos: '.trim($rowx['nombres']).' '.$rowx['nombres1'].", ".trim($rowx['apellidos'])." ".$rowx['apellidos1'],0,1,'',0);
			$pdf->cell(10,5,'Cargo: '.$cargo,0,1,'',0);
			$pdf->cell(10,5,'Fecha de Ingreso: '.mostrar_fecha($rowx['fechai']),0,1,'',0);
			$pdf->cell(20,5,'',0,1,'');
			
			$pdf->SetFont('Arial','B',12);
			$pdf->cell(10,10,'DETALLE DEL CÁLCULO:',0,1,'');
			$pdf->SetFont('Arial','B',10);
			
			$pdf->SetFillColor(70,77,119);
			$pdf->SetTextColor(255);
			$pdf->SetDrawColor(204,204,204); // COLOR BORDE
			//$pdf->SetLineWidth(.5);
			
			$pdf->cell(20,4,'Concepto',0,0,'C',1);
			$pdf->cell(90,4,'Detalle del Concepto:',0,0,'C',1);
			$pdf->cell(30,4,'Cantidad',0,0,'C',1);
			$pdf->cell(30,4,'Asignación',0,0,'C',1);
			$pdf->cell(30,4,'Deducción',0,1,'C',1);
			
			$pdf->SetFillColor(224,235,255);
			$pdf->SetTextColor(0);
			
		}	
		$pdf->SetFont('Arial','',8);
		$tasig+= ($row['tipo']=='A'?$row['monto']:0);
		$tdedu+= ($row['tipo']=='D'?$row['monto']:0);
		
		$valor=0;
		if ($row['tipo']=='A') $valor=$row['cantidad'];
		if ($row['tipo']=='R') $valor=$row['monto'];
		
		$pdf->cell(20,5,$row['concepto'],0,0,'C',$color);
		$pdf->cell(90,5,utf8_decode($row['desconcepto']),0,0,'L',$color);
		$pdf->cell(30,5,number_format($valor,2),0,0,'R',$color);
		$pdf->cell(30,5,($row['tipo']=='A'?number_format($row['monto'],2):''),0,0,'R',$color);
		$pdf->cell(30,5,($row['tipo']=='D'?number_format($row['monto'],2):''),0,1,'R',$color);
		$color=!$color;		
		$linea++;			
}			
				//============================================================================ imprimir parte final de utilidades
				$pdf->SetFont('Arial','',8);
				$pdf->cell(140,5,'Sub-Totales Bs.',1,0,'R',0);
				$pdf->SetFont('Arial','B',10);
				$pdf->cell(30,5,number_format($tasig,2),1,0,'R',0);
				$pdf->cell(30,5,number_format($tdedu,2),1,1,'R',0);
				$pdf->SetFont('Arial','',8);
				$pdf->cell(140,5,'A Cobrar Bs. ',1,0,'R',0);
				$pdf->SetFont('Arial','B',10);
				$pdf->cell(30,5,'',1,0,'R',0);
				$pdf->cell(30,5,number_format($tasig-$tdedu,2),1,1,'R',0);
				$neto = $tasig-$tdedu;				
				$len=strlen(number_format($neto,2));
				$dec=substr(number_format($neto,2),$len-2,2);
				$letra=num2letras($neto,0)." bolivares con ".$dec."/100 centimos";	

				$pdf->ln(5);

				$pdf->SetFont('Arial','B',12);
				$pdf->cell(0,5,'NETO A COBRAR:',0,1,'C',0);
				//$pdf->ln(3);
				$pdf->SetFont('Arial','B',18);
				$pdf->cell(0,6,'Bs. '.number_format($neto,2),0,1,'C',0);
				$pdf->ln(1);
				$pdf->SetFont('Arial','',8);
				$pdf->cell(0,5,'Son: '.$letra,0,1,'C',0);
				
				$pdf->SetFont('Arial','',8);
				$pdf->ln(5);
				$pdf->cell(0,5,'Yo, '.trim($rowx['nombres']).' '.$rowx['nombres1'].", ".trim($rowx['apellidos'])." ".$rowx['apellidos1'].', cédula de identidad No. '.$rowx['codigo'].', ',0,1,'C',0);
				$pdf->cell(0,5,'declaro haber recibido la cantidad arriba señalada a mi entera satisfacción en moneda efectiva y de curso legal, ',0,1,'C',0);
				$pdf->cell(0,5,'por el concepto de Utilidades según se describe y de acuerdo a lo establecido en la Ley Organica del Trabajo,',0,1,'C',0);
				$pdf->cell(0,5,'los Trabajadores y Trabajadoras (LOTTT), en sus articulos 132.',0,1,'C',0);
				$pdf->ln(1);
				$pdf->cell(0,5,'En '.$_POST['ciudad'].' fecha: '.mostrar_fecha($dfecha),0,1,'C',0);
				
				$pdf->ln(8);
				$pdf->cell(0,5,'_______________________________________',0,1,'C',0);
				$pdf->cell(0,5,trim($rowx['nombres']).' '.$rowx['nombres1'].", ".trim($rowx['apellidos'])." ".$rowx['apellidos1'],0,1,'C',0);
				$pdf->cell(0,5,'Firma/cédula de Recibido: ',0,1,'C',0);
				$pdf->ln(2);
				$pdf->SetFont('Arial','',8);
				$pdf->cell(0,5,'RRHH/ficha personal',0,1,'L',0);
				$tasig=0; $tdedu=0;
				//============================================================================ imprimir pate final de utilidades

$pdf->Output();
?>